Package org.apache.qpid.proton.codec

# Interface ByteBufferDecoder

All Superinterfaces:
  `Decoder`

All Known Implementing Classes:
  `DecoderImpl`

public interface ByteBufferDecoder extends Decoder

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.codec.Decoder

`Decoder.ListProcessor<T>`

## Method Summary

Modifier and Type
Method
Description
`int`
`getByteBufferRemaining()`
`void`
`setByteBuffer(ByteBuffer buffer)`

### Methods inherited from interface org.apache.qpid.proton.codec.Decoder

`readArray, readArray, readBinary, readBinary, readBoolean, readBoolean, readBoolean, readBooleanArray, readByte, readByte, readByte, readByteArray, readByteMultiple, readCharacter, readCharacter, readCharacter, readCharacterArray, readCharacterMultiple, readDecimal128, readDecimal128, readDecimal32, readDecimal32, readDecimal64, readDecimal64, readDouble, readDouble, readDouble, readDoubleArray, readDoubleMultiple, readFloat, readFloat, readFloat, readFloatArray, readFloatMultiple, readInteger, readInteger, readInteger, readIntegerArray, readIntegerMultiple, readList, readList, readLong, readLong, readLong, readLongArray, readLongMultiple, readMap, readMultiple, readMultiple, readObject, readObject, readShort, readShort, readShort, readShortArray, readShortMultiple, readString, readString, readSymbol, readSymbol, readTimestamp, readTimestamp, readUnsignedByte, readUnsignedByte, readUnsignedInteger, readUnsignedInteger, readUnsignedLong, readUnsignedLong, readUnsignedShort, readUnsignedShort, readUUID, readUUID, register, register`

## Method Details

### setByteBuffer

void setByteBuffer(ByteBuffer buffer)

### getByteBufferRemaining

int getByteBufferRemaining()